Gecode::Int::Channel Namespace Reference

Channel propagators More...

## Classes

class | Base
| Base-class for channel propagators. More...
class | ValInfo
| Combine view with information for value propagation. More...
class | Val
| Naive channel propagator. More...
class | DomInfo
| Combine view with information for domain propagation. More...
class | Dom
| Domain consistent channel propagator. More...
class | LinkSingle
| Link propagator for a single Boolean view. More...
class | LinkMulti
| Link propagator for multiple Boolean views. More...
class | BoolIter
| Iterates the values to be removed as defined by an array of Boolean views. More...

## Typedefs

typedef Support::StaticStack< int, Region > | ProcessStack
| Processing stack.

## Functions

template<class View, class Offset>
ExecStatus | prop_dom (Space &home, int n, DomInfo< View, Offset > *x, Offset &ox, DomInfo< View, Offset > *y, Offset &oy, ProcessStack &ya)
template<class View, class Offset, class Info>
ExecStatus | doprop_val (Space &home, int n, Info *x, Offset &ox, Info *y, Offset &oy, int &n_na, ProcessStack &xa, ProcessStack &ya)
template<class View, class Offset, class Info>
ExecStatus | prop_val (Space &home, int n, Info *x, Offset &ox, Info *y, Offset &oy, int &n_na, ProcessStack &xa, ProcessStack &ya)

## Detailed Description

Channel propagators

## Typedef Documentation

## ProcessStack

typedef Support::StaticStack<int,Region> Gecode::Int::Channel::ProcessStack

Processing stack.

Definition at line 48 of file channel.hh.

## Function Documentation

## prop_dom()

template<class View, class Offset>

ExecStatus Gecode::Int::Channel::prop_dom | ( | Space & | home,
|  | int | n,
|  | DomInfo< View, Offset > * | x,
|  | Offset & | ox,
|  | DomInfo< View, Offset > * | y,
|  | Offset & | oy,
|  | ProcessStack & | ya )

Definition at line 128 of file dom.hpp.

## doprop_val()

template<class View, class Offset, class Info>

ExecStatus Gecode::Int::Channel::doprop_val | ( | Space & | home,
|  | int | n,
|  | Info * | x,
|  | Offset & | ox,
|  | Info * | y,
|  | Offset & | oy,
|  | int & | n_na,
|  | ProcessStack & | xa,
|  | ProcessStack & | ya )

Definition at line 109 of file val.hpp.

## prop_val()

template<class View, class Offset, class Info>

ExecStatus Gecode::Int::Channel::prop_val | ( | Space & | home,
|  | int | n,
|  | Info * | x,
|  | Offset & | ox,
|  | Info * | y,
|  | Offset & | oy,
|  | int & | n_na,
|  | ProcessStack & | xa,
|  | ProcessStack & | ya )

inline

Definition at line 169 of file val.hpp.